#-------------------------------------------------
#
# Project created by QtCreator 2016-02-04T20:14:07
#
#-------------------------------------------------


QT       += widgets sql

TARGET = services
TEMPLATE = lib

DEFINES += SERVICES_LIBRARY\
        _GLIBCXX_USE_CXX11_ABI=1

SOURCES += services.cpp \
    data/accservice.cpp \
    accserviceform.cpp \
    accservicestablemodel.cpp \
    accservicegrid.cpp

HEADERS += services.h\
        services_global.h \
    data/accservice.h \
    accserviceform.h \
    accservicestablemodel.h \
    accservicegrid.h

unix {
    target.path = /usr/lib
    INSTALLS += target
    QMAKE_CXXFLAGS += -std=c++11
    QMAKE_CXXFLAGS += -Wno-unknown-pragmas
}

win32 {
    QMAKE_CXXFLAGS += -wd4995 -wd4068
}

win32:CONFIG(release, debug|release): LIBS += -L$$OUT_PWD/../core/release/ -lcore
else:win32:CONFIG(debug, debug|release): LIBS += -L$$OUT_PWD/../core/debug/ -lcore
else:unix: LIBS += -L$$OUT_PWD/../core/ -lcore

INCLUDEPATH += $$PWD/../core
DEPENDPATH += $$PWD/../core

DESTDIR = ../plugins

OTHER_FILES += service.json



ODB_FILES = services/data/accservice.h
H_DIR = $$PWD/data/*.h
include(../odb.pri)

FORMS += \
    accserviceform.ui

win32:CONFIG(release, debug|release): LIBS += -L$$OUT_PWD/../qdecimal/lib/ -lqdecimal -ldecnumber
else:win32:CONFIG(debug, debug|release): LIBS += -L$$OUT_PWD/../qdecimal/lib/ -lqdecimal -ldecnumber
else:unix: LIBS += -L$$OUT_PWD/../qdecimal/lib/ -lqdecimal -ldecnumber

INCLUDEPATH += $$PWD/../qdecimal/src
INCLUDEPATH += $$PWD/../qdecimal/decnumber
DEPENDPATH += $$PWD/../qdecimal/src

#win32-g++:CONFIG(release, debug|release): PRE_TARGETDEPS += $$OUT_PWD/../qdecimal/src/release/libqdecimal.a
#else:win32-g++:CONFIG(debug, debug|release): PRE_TARGETDEPS += $$OUT_PWD/../qdecimal/src/debug/libqdecimal.a
#else:win32:!win32-g++:CONFIG(release, debug|release): PRE_TARGETDEPS += $$OUT_PWD/../qdecimal/src/release/qdecimal.lib
#else:win32:!win32-g++:CONFIG(debug, debug|release): PRE_TARGETDEPS += $$OUT_PWD/../qdecimal/src/debug/qdecimal.lib
#else:unix: PRE_TARGETDEPS += $$OUT_PWD/../qdecimal/src/libqdecimal.a

RESOURCES += \
    servicesrc.qrc
TRANSLATIONS = translations/services_cs_CZ.ts
